#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include "mythread.h"
#include <QTimer>
#include "c:\opencv\build\include\opencv2\opencv.hpp"
using namespace cv;
namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
public: int FScore;
        int totalA;
        int totalB;
        int (*toRun)(void);
        int CurrentScore;
        int PointsA[60];
        int PointsB[60];
        Mat image;
        bool maskOn;
        bool turn;
    Q_OBJECT
    
public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();
       void SetNames(QString,QString);
       bool getblnMask();
       void setScore(int score);

private slots:
      void on_btnScore_clicked();
      void TimeOut();
      void on_btnMask_clicked();

      void on_btnExit_clicked();

private:
    Ui::MainWindow *ui;
    mythread worker;
    QTimer* timer;
    void getScoreHandler();
    void ToggleMaskHandler();
};

#endif // MAINWINDOW_H
